math::TLessEquNode< T > Class Template Reference
Inheritance diagram for math::TLessEquNode< T >:
[legend]
Collaboration diagram for math::TLessEquNode< T >:
[legend]

## Public Member Functions

| TLessEquNode (TNode< T > *ALeft, TNode< T > *ARight)
virtual void | accept (TNodeVisitor< T > &)
| calls the visit method in TNodeVisitor<>
virtual TLessEquNode * | clone () const
| clones that node
Public Member Functions inherited from math::TBinaryNodeOp< T >
virtual TNode< T > * | left () const
| returns the right child node of the expression tree
virtual TNode< T > * | right () const
| returns the left child node of the expression tree
virtual bool | equals (const TNode< T > *ANode) const
| returns true, if given node equals to this one
Public Member Functions inherited from math::TNode< T >
TNode< T > * | parent () const
| returns the parent node (returns 0 if this node is the root node)
virtual | ~TNode ()
| each virtual class needs a virtual destructor (this one does nothing)
TNodeType | nodeType () const
| returns the type of this node
short | priority () const
| returns the node priority
iterator | begin ()
| iterator access to the first value node in this operator level
iterator | end ()
| iterator access to the end

## Additional Inherited Members

Public Types inherited from math::TNode< T >
enum | TNodeType
typedef TNodeIterator< T > | iterator
typedef const TNodeIterator< T > | const_iterator
typedef TOperandIter< TNode< T > > | operand_iterator
typedef TOperandIter< const TNode< T > > | const_operand_iterator
Protected Member Functions inherited from math::TBinaryNodeOp< T >
| TBinaryNodeOp (typename TBinaryNodeOp< T >::TNodeType AType, short APrio, TNode< T > *ALeft, TNode< T > *ARight)
| creates an binary operator node of type AType
Protected Member Functions inherited from math::TNode< T >
| TNode (TNodeType ANodeType, short APriority, TNode< T > *AParentNode=0)
| initializes this node for given node type.
| TNode (const TNode< T > &n)
void | parent (TNode< T > *AParent)
| initializes the parent node with the given one

## Detailed Description

### template<typename T>
class math::TLessEquNode< T >

Definition at line 652 of file nodes.h.

The documentation for this class was generated from the following file:

- nodes.h